<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::any_trainer&lt; sample_type_, scalar_type_ &gt;::base Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1any__trainer.html">any_trainer</a></li><li class="navelem"><a class="el" href="structdlib_1_1any__trainer_1_1base.html">base</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="structdlib_1_1any__trainer_1_1base-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::any_trainer&lt; sample_type_, scalar_type_ &gt;::base Struct Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::any_trainer&lt; sample_type_, scalar_type_ &gt;::base:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structdlib_1_1any__trainer_1_1base.png" usemap="#dlib::any_5Ftrainer_3C_20sample_5Ftype_5F_2C_20scalar_5Ftype_5F_20_3E::base_map" alt=""/>
  <map id="dlib::any_5Ftrainer_3C_20sample_5Ftype_5F_2C_20scalar_5Ftype_5F_20_3E::base_map" name="dlib::any_5Ftrainer_3C_20sample_5Ftype_5F_2C_20scalar_5Ftype_5F_20_3E::base_map">
<area href="structdlib_1_1any__trainer_1_1derived.html" alt="dlib::any_trainer&lt; sample_type_, scalar_type_ &gt;::derived&lt; T &gt;" shape="rect" coords="0,56,366,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae35f6c23c124163c06ed3a9e9384bedc"><td class="memItemLeft" align="right" valign="top"><a id="ae35f6c23c124163c06ed3a9e9384bedc"></a>
virtual <a class="el" href="classdlib_1_1any__decision__function.html">trained_function_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>train</b> (const std::vector&lt; sample_type &gt; &amp;samples, const std::vector&lt; scalar_type &gt; &amp;labels) const =0</td></tr>
<tr class="separator:ae35f6c23c124163c06ed3a9e9384bedc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e02df6b75ee8f7f255fad07d8add939"><td class="memItemLeft" align="right" valign="top"><a id="a5e02df6b75ee8f7f255fad07d8add939"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>copy_to</b> (<a class="el" href="classdlib_1_1scoped__ptr.html">scoped_ptr</a>&lt; <a class="el" href="structdlib_1_1any__trainer_1_1base.html">base</a> &gt; &amp;dest) const =0</td></tr>
<tr class="separator:a5e02df6b75ee8f7f255fad07d8add939"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="any__trainer_8h_source.html">any_trainer.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
